- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# XCB SELinux API

SELinux XCB Protocol Implementation. More...

## Data Structures
struct | xcb_selinux_query_version_cookie_t
| xcb_selinux_query_version_cookie_t More...
struct | xcb_selinux_query_version_request_t
| xcb_selinux_query_version_request_t More...
struct | xcb_selinux_query_version_reply_t
| xcb_selinux_query_version_reply_t More...
struct | xcb_selinux_set_device_create_context_request_t
| xcb_selinux_set_device_create_context_request_t More...
struct | xcb_selinux_get_device_create_context_cookie_t
| xcb_selinux_get_device_create_context_cookie_t More...
struct | xcb_selinux_get_device_create_context_request_t
| xcb_selinux_get_device_create_context_request_t More...
struct | xcb_selinux_get_device_create_context_reply_t
| xcb_selinux_get_device_create_context_reply_t More...
struct | xcb_selinux_set_device_context_request_t
| xcb_selinux_set_device_context_request_t More...
struct | xcb_selinux_get_device_context_cookie_t
| xcb_selinux_get_device_context_cookie_t More...
struct | xcb_selinux_get_device_context_request_t
| xcb_selinux_get_device_context_request_t More...
struct | xcb_selinux_get_device_context_reply_t
| xcb_selinux_get_device_context_reply_t More...
struct | xcb_selinux_set_window_create_context_request_t
| xcb_selinux_set_window_create_context_request_t More...
struct | xcb_selinux_get_window_create_context_cookie_t
| xcb_selinux_get_window_create_context_cookie_t More...
struct | xcb_selinux_get_window_create_context_request_t
| xcb_selinux_get_window_create_context_request_t More...
struct | xcb_selinux_get_window_create_context_reply_t
| xcb_selinux_get_window_create_context_reply_t More...
struct | xcb_selinux_get_window_context_cookie_t
| xcb_selinux_get_window_context_cookie_t More...
struct | xcb_selinux_get_window_context_request_t
| xcb_selinux_get_window_context_request_t More...
struct | xcb_selinux_get_window_context_reply_t
| xcb_selinux_get_window_context_reply_t More...
struct | xcb_selinux_list_item_t
| xcb_selinux_list_item_t More...
struct | xcb_selinux_list_item_iterator_t
| xcb_selinux_list_item_iterator_t More...
struct | xcb_selinux_set_property_create_context_request_t
| xcb_selinux_set_property_create_context_request_t More...
struct | xcb_selinux_get_property_create_context_cookie_t
| xcb_selinux_get_property_create_context_cookie_t More...
struct | xcb_selinux_get_property_create_context_request_t
| xcb_selinux_get_property_create_context_request_t More...
struct | xcb_selinux_get_property_create_context_reply_t
| xcb_selinux_get_property_create_context_reply_t More...
struct | xcb_selinux_set_property_use_context_request_t
| xcb_selinux_set_property_use_context_request_t More...
struct | xcb_selinux_get_property_use_context_cookie_t
| xcb_selinux_get_property_use_context_cookie_t More...
struct | xcb_selinux_get_property_use_context_request_t
| xcb_selinux_get_property_use_context_request_t More...
struct | xcb_selinux_get_property_use_context_reply_t
| xcb_selinux_get_property_use_context_reply_t More...
struct | xcb_selinux_get_property_context_cookie_t
| xcb_selinux_get_property_context_cookie_t More...
struct | xcb_selinux_get_property_context_request_t
| xcb_selinux_get_property_context_request_t More...
struct | xcb_selinux_get_property_context_reply_t
| xcb_selinux_get_property_context_reply_t More...
struct | xcb_selinux_get_property_data_context_cookie_t
| xcb_selinux_get_property_data_context_cookie_t More...
struct | xcb_selinux_get_property_data_context_request_t
| xcb_selinux_get_property_data_context_request_t More...
struct | xcb_selinux_get_property_data_context_reply_t
| xcb_selinux_get_property_data_context_reply_t More...
struct | xcb_selinux_list_properties_cookie_t
| xcb_selinux_list_properties_cookie_t More...
struct | xcb_selinux_list_properties_request_t
| xcb_selinux_list_properties_request_t More...
struct | xcb_selinux_list_properties_reply_t
| xcb_selinux_list_properties_reply_t More...
struct | xcb_selinux_set_selection_create_context_request_t
| xcb_selinux_set_selection_create_context_request_t More...
struct | xcb_selinux_get_selection_create_context_cookie_t
| xcb_selinux_get_selection_create_context_cookie_t More...
struct | xcb_selinux_get_selection_create_context_request_t
| xcb_selinux_get_selection_create_context_request_t More...
struct | xcb_selinux_get_selection_create_context_reply_t
| xcb_selinux_get_selection_create_context_reply_t More...
struct | xcb_selinux_set_selection_use_context_request_t
| xcb_selinux_set_selection_use_context_request_t More...
struct | xcb_selinux_get_selection_use_context_cookie_t
| xcb_selinux_get_selection_use_context_cookie_t More...
struct | xcb_selinux_get_selection_use_context_request_t
| xcb_selinux_get_selection_use_context_request_t More...
struct | xcb_selinux_get_selection_use_context_reply_t
| xcb_selinux_get_selection_use_context_reply_t More...
struct | xcb_selinux_get_selection_context_cookie_t
| xcb_selinux_get_selection_context_cookie_t More...
struct | xcb_selinux_get_selection_context_request_t
| xcb_selinux_get_selection_context_request_t More...
struct | xcb_selinux_get_selection_context_reply_t
| xcb_selinux_get_selection_context_reply_t More...
struct | xcb_selinux_get_selection_data_context_cookie_t
| xcb_selinux_get_selection_data_context_cookie_t More...
struct | xcb_selinux_get_selection_data_context_request_t
| xcb_selinux_get_selection_data_context_request_t More...
struct | xcb_selinux_get_selection_data_context_reply_t
| xcb_selinux_get_selection_data_context_reply_t More...
struct | xcb_selinux_list_selections_cookie_t
| xcb_selinux_list_selections_cookie_t More...
struct | xcb_selinux_list_selections_request_t
| xcb_selinux_list_selections_request_t More...
struct | xcb_selinux_list_selections_reply_t
| xcb_selinux_list_selections_reply_t More...
struct | xcb_selinux_get_client_context_cookie_t
| xcb_selinux_get_client_context_cookie_t More...
struct | xcb_selinux_get_client_context_request_t
| xcb_selinux_get_client_context_request_t More...
struct | xcb_selinux_get_client_context_reply_t
| xcb_selinux_get_client_context_reply_t More...
## Defines
#define | XCB_SELINUX_MAJOR_VERSION 1
#define | XCB_SELINUX_MINOR_VERSION 0
#define | XCB_SELINUX_QUERY_VERSION 0
#define | XCB_SELINUX_SET_DEVICE_CREATE_CONTEXT 1
#define | XCB_SELINUX_GET_DEVICE_CREATE_CONTEXT 2
#define | XCB_SELINUX_SET_DEVICE_CONTEXT 3
#define | XCB_SELINUX_GET_DEVICE_CONTEXT 4
#define | XCB_SELINUX_SET_WINDOW_CREATE_CONTEXT 5
#define | XCB_SELINUX_GET_WINDOW_CREATE_CONTEXT 6
#define | XCB_SELINUX_GET_WINDOW_CONTEXT 7
#define | XCB_SELINUX_SET_PROPERTY_CREATE_CONTEXT 8
#define | XCB_SELINUX_GET_PROPERTY_CREATE_CONTEXT 9
#define | XCB_SELINUX_SET_PROPERTY_USE_CONTEXT 10
#define | XCB_SELINUX_GET_PROPERTY_USE_CONTEXT 11
#define | XCB_SELINUX_GET_PROPERTY_CONTEXT 12
#define | XCB_SELINUX_GET_PROPERTY_DATA_CONTEXT 13
#define | XCB_SELINUX_LIST_PROPERTIES 14
#define | XCB_SELINUX_SET_SELECTION_CREATE_CONTEXT 15
#define | XCB_SELINUX_GET_SELECTION_CREATE_CONTEXT 16
#define | XCB_SELINUX_SET_SELECTION_USE_CONTEXT 17
#define | XCB_SELINUX_GET_SELECTION_USE_CONTEXT 18
#define | XCB_SELINUX_GET_SELECTION_CONTEXT 19
#define | XCB_SELINUX_GET_SELECTION_DATA_CONTEXT 20
#define | XCB_SELINUX_LIST_SELECTIONS 21
#define | XCB_SELINUX_GET_CLIENT_CONTEXT 22
## Functions
xcb_selinux_query_version_cookie_t | xcb_selinux_query_version (xcb_connection_t *c, uint8_t client_major, uint8_t client_minor)
xcb_selinux_query_version_cookie_t | xcb_selinux_query_version_unchecked (xcb_connection_t *c, uint8_t client_major, uint8_t client_minor)
xcb_selinux_query_version_reply_t * | xcb_selinux_query_version_reply (xcb_connection_t *c, xcb_selinux_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_selinux_set_device_create_context_checked (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_void_cookie_t | xcb_selinux_set_device_create_context (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_selinux_get_device_create_context_cookie_t | xcb_selinux_get_device_create_context (xcb_connection_t *c)
xcb_selinux_get_device_create_context_cookie_t | xcb_selinux_get_device_create_context_unchecked (xcb_connection_t *c)
char * | xcb_selinux_get_device_create_context_context (const xcb_selinux_get_device_create_context_reply_t *R)
int | xcb_selinux_get_device_create_context_context_length (const xcb_selinux_get_device_create_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_device_create_context_context_end (const xcb_selinux_get_device_create_context_reply_t *R)
xcb_selinux_get_device_create_context_reply_t * | xcb_selinux_get_device_create_context_reply (xcb_connection_t *c, xcb_selinux_get_device_create_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_selinux_set_device_context_checked (xcb_connection_t *c, uint32_t device, uint32_t context_len, const char *context)
xcb_void_cookie_t | xcb_selinux_set_device_context (xcb_connection_t *c, uint32_t device, uint32_t context_len, const char *context)
xcb_selinux_get_device_context_cookie_t | xcb_selinux_get_device_context (xcb_connection_t *c, uint32_t device)
xcb_selinux_get_device_context_cookie_t | xcb_selinux_get_device_context_unchecked (xcb_connection_t *c, uint32_t device)
char * | xcb_selinux_get_device_context_context (const xcb_selinux_get_device_context_reply_t *R)
int | xcb_selinux_get_device_context_context_length (const xcb_selinux_get_device_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_device_context_context_end (const xcb_selinux_get_device_context_reply_t *R)
xcb_selinux_get_device_context_reply_t * | xcb_selinux_get_device_context_reply (xcb_connection_t *c, xcb_selinux_get_device_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_selinux_set_window_create_context_checked (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_void_cookie_t | xcb_selinux_set_window_create_context (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_selinux_get_window_create_context_cookie_t | xcb_selinux_get_window_create_context (xcb_connection_t *c)
xcb_selinux_get_window_create_context_cookie_t | xcb_selinux_get_window_create_context_unchecked (xcb_connection_t *c)
char * | xcb_selinux_get_window_create_context_context (const xcb_selinux_get_window_create_context_reply_t *R)
int | xcb_selinux_get_window_create_context_context_length (const xcb_selinux_get_window_create_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_window_create_context_context_end (const xcb_selinux_get_window_create_context_reply_t *R)
xcb_selinux_get_window_create_context_reply_t * | xcb_selinux_get_window_create_context_reply (xcb_connection_t *c, xcb_selinux_get_window_create_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_selinux_get_window_context_cookie_t | xcb_selinux_get_window_context (xcb_connection_t *c, xcb_window_t window)
xcb_selinux_get_window_context_cookie_t | xcb_selinux_get_window_context_unchecked (xcb_connection_t *c, xcb_window_t window)
char * | xcb_selinux_get_window_context_context (const xcb_selinux_get_window_context_reply_t *R)
int | xcb_selinux_get_window_context_context_length (const xcb_selinux_get_window_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_window_context_context_end (const xcb_selinux_get_window_context_reply_t *R)
xcb_selinux_get_window_context_reply_t * | xcb_selinux_get_window_context_reply (xcb_connection_t *c, xcb_selinux_get_window_context_cookie_t cookie, xcb_generic_error_t **e)
char * | xcb_selinux_list_item_object_context (const xcb_selinux_list_item_t *R)
int | xcb_selinux_list_item_object_context_length (const xcb_selinux_list_item_t *R)
xcb_generic_iterator_t | xcb_selinux_list_item_object_context_end (const xcb_selinux_list_item_t *R)
char * | xcb_selinux_list_item_data_context (const xcb_selinux_list_item_t *R)
int | xcb_selinux_list_item_data_context_length (const xcb_selinux_list_item_t *R)
xcb_generic_iterator_t | xcb_selinux_list_item_data_context_end (const xcb_selinux_list_item_t *R)
void | xcb_selinux_list_item_next (xcb_selinux_list_item_iterator_t *i)
xcb_generic_iterator_t | xcb_selinux_list_item_end (xcb_selinux_list_item_iterator_t i)
xcb_void_cookie_t | xcb_selinux_set_property_create_context_checked (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_void_cookie_t | xcb_selinux_set_property_create_context (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_selinux_get_property_create_context_cookie_t | xcb_selinux_get_property_create_context (xcb_connection_t *c)
xcb_selinux_get_property_create_context_cookie_t | xcb_selinux_get_property_create_context_unchecked (xcb_connection_t *c)
char * | xcb_selinux_get_property_create_context_context (const xcb_selinux_get_property_create_context_reply_t *R)
int | xcb_selinux_get_property_create_context_context_length (const xcb_selinux_get_property_create_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_property_create_context_context_end (const xcb_selinux_get_property_create_context_reply_t *R)
xcb_selinux_get_property_create_context_reply_t * | xcb_selinux_get_property_create_context_reply (xcb_connection_t *c, xcb_selinux_get_property_create_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_selinux_set_property_use_context_checked (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_void_cookie_t | xcb_selinux_set_property_use_context (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_selinux_get_property_use_context_cookie_t | xcb_selinux_get_property_use_context (xcb_connection_t *c)
xcb_selinux_get_property_use_context_cookie_t | xcb_selinux_get_property_use_context_unchecked (xcb_connection_t *c)
char * | xcb_selinux_get_property_use_context_context (const xcb_selinux_get_property_use_context_reply_t *R)
int | xcb_selinux_get_property_use_context_context_length (const xcb_selinux_get_property_use_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_property_use_context_context_end (const xcb_selinux_get_property_use_context_reply_t *R)
xcb_selinux_get_property_use_context_reply_t * | xcb_selinux_get_property_use_context_reply (xcb_connection_t *c, xcb_selinux_get_property_use_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_selinux_get_property_context_cookie_t | xcb_selinux_get_property_context (xcb_connection_t *c, xcb_window_t window, xcb_atom_t property)
xcb_selinux_get_property_context_cookie_t | xcb_selinux_get_property_context_unchecked (xcb_connection_t *c, xcb_window_t window, xcb_atom_t property)
char * | xcb_selinux_get_property_context_context (const xcb_selinux_get_property_context_reply_t *R)
int | xcb_selinux_get_property_context_context_length (const xcb_selinux_get_property_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_property_context_context_end (const xcb_selinux_get_property_context_reply_t *R)
xcb_selinux_get_property_context_reply_t * | xcb_selinux_get_property_context_reply (xcb_connection_t *c, xcb_selinux_get_property_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_selinux_get_property_data_context_cookie_t | xcb_selinux_get_property_data_context (xcb_connection_t *c, xcb_window_t window, xcb_atom_t property)
xcb_selinux_get_property_data_context_cookie_t | xcb_selinux_get_property_data_context_unchecked (xcb_connection_t *c, xcb_window_t window, xcb_atom_t property)
char * | xcb_selinux_get_property_data_context_context (const xcb_selinux_get_property_data_context_reply_t *R)
int | xcb_selinux_get_property_data_context_context_length (const xcb_selinux_get_property_data_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_property_data_context_context_end (const xcb_selinux_get_property_data_context_reply_t *R)
xcb_selinux_get_property_data_context_reply_t * | xcb_selinux_get_property_data_context_reply (xcb_connection_t *c, xcb_selinux_get_property_data_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_selinux_list_properties_cookie_t | xcb_selinux_list_properties (xcb_connection_t *c, xcb_window_t window)
xcb_selinux_list_properties_cookie_t | xcb_selinux_list_properties_unchecked (xcb_connection_t *c, xcb_window_t window)
int | xcb_selinux_list_properties_properties_length (const xcb_selinux_list_properties_reply_t *R)
xcb_selinux_list_item_iterator_t | xcb_selinux_list_properties_properties_iterator (const xcb_selinux_list_properties_reply_t *R)
xcb_selinux_list_properties_reply_t * | xcb_selinux_list_properties_reply (xcb_connection_t *c, xcb_selinux_list_properties_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_selinux_set_selection_create_context_checked (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_void_cookie_t | xcb_selinux_set_selection_create_context (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_selinux_get_selection_create_context_cookie_t | xcb_selinux_get_selection_create_context (xcb_connection_t *c)
xcb_selinux_get_selection_create_context_cookie_t | xcb_selinux_get_selection_create_context_unchecked (xcb_connection_t *c)
char * | xcb_selinux_get_selection_create_context_context (const xcb_selinux_get_selection_create_context_reply_t *R)
int | xcb_selinux_get_selection_create_context_context_length (const xcb_selinux_get_selection_create_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_selection_create_context_context_end (const xcb_selinux_get_selection_create_context_reply_t *R)
xcb_selinux_get_selection_create_context_reply_t * | xcb_selinux_get_selection_create_context_reply (xcb_connection_t *c, xcb_selinux_get_selection_create_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_selinux_set_selection_use_context_checked (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_void_cookie_t | xcb_selinux_set_selection_use_context (xcb_connection_t *c, uint32_t context_len, const char *context)
xcb_selinux_get_selection_use_context_cookie_t | xcb_selinux_get_selection_use_context (xcb_connection_t *c)
xcb_selinux_get_selection_use_context_cookie_t | xcb_selinux_get_selection_use_context_unchecked (xcb_connection_t *c)
char * | xcb_selinux_get_selection_use_context_context (const xcb_selinux_get_selection_use_context_reply_t *R)
int | xcb_selinux_get_selection_use_context_context_length (const xcb_selinux_get_selection_use_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_selection_use_context_context_end (const xcb_selinux_get_selection_use_context_reply_t *R)
xcb_selinux_get_selection_use_context_reply_t * | xcb_selinux_get_selection_use_context_reply (xcb_connection_t *c, xcb_selinux_get_selection_use_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_selinux_get_selection_context_cookie_t | xcb_selinux_get_selection_context (xcb_connection_t *c, xcb_atom_t selection)
xcb_selinux_get_selection_context_cookie_t | xcb_selinux_get_selection_context_unchecked (xcb_connection_t *c, xcb_atom_t selection)
char * | xcb_selinux_get_selection_context_context (const xcb_selinux_get_selection_context_reply_t *R)
int | xcb_selinux_get_selection_context_context_length (const xcb_selinux_get_selection_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_selection_context_context_end (const xcb_selinux_get_selection_context_reply_t *R)
xcb_selinux_get_selection_context_reply_t * | xcb_selinux_get_selection_context_reply (xcb_connection_t *c, xcb_selinux_get_selection_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_selinux_get_selection_data_context_cookie_t | xcb_selinux_get_selection_data_context (xcb_connection_t *c, xcb_atom_t selection)
xcb_selinux_get_selection_data_context_cookie_t | xcb_selinux_get_selection_data_context_unchecked (xcb_connection_t *c, xcb_atom_t selection)
char * | xcb_selinux_get_selection_data_context_context (const xcb_selinux_get_selection_data_context_reply_t *R)
int | xcb_selinux_get_selection_data_context_context_length (const xcb_selinux_get_selection_data_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_selection_data_context_context_end (const xcb_selinux_get_selection_data_context_reply_t *R)
xcb_selinux_get_selection_data_context_reply_t * | xcb_selinux_get_selection_data_context_reply (xcb_connection_t *c, xcb_selinux_get_selection_data_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_selinux_list_selections_cookie_t | xcb_selinux_list_selections (xcb_connection_t *c)
xcb_selinux_list_selections_cookie_t | xcb_selinux_list_selections_unchecked (xcb_connection_t *c)
int | xcb_selinux_list_selections_selections_length (const xcb_selinux_list_selections_reply_t *R)
xcb_selinux_list_item_iterator_t | xcb_selinux_list_selections_selections_iterator (const xcb_selinux_list_selections_reply_t *R)
xcb_selinux_list_selections_reply_t * | xcb_selinux_list_selections_reply (xcb_connection_t *c, xcb_selinux_list_selections_cookie_t cookie, xcb_generic_error_t **e)
xcb_selinux_get_client_context_cookie_t | xcb_selinux_get_client_context (xcb_connection_t *c, uint32_t resource)
xcb_selinux_get_client_context_cookie_t | xcb_selinux_get_client_context_unchecked (xcb_connection_t *c, uint32_t resource)
char * | xcb_selinux_get_client_context_context (const xcb_selinux_get_client_context_reply_t *R)
int | xcb_selinux_get_client_context_context_length (const xcb_selinux_get_client_context_reply_t *R)
xcb_generic_iterator_t | xcb_selinux_get_client_context_context_end (const xcb_selinux_get_client_context_reply_t *R)
xcb_selinux_get_client_context_reply_t * | xcb_selinux_get_client_context_reply (xcb_connection_t *c, xcb_selinux_get_client_context_cookie_t cookie, xcb_generic_error_t **e)
## Variables
xcb_extension_t | xcb_selinux_id

## Detailed Description

SELinux XCB Protocol Implementation.

## Define Documentation

#define XCB_SELINUX_GET_CLIENT_CONTEXT 22

Opcode for xcb_selinux_get_client_context.

#define XCB_SELINUX_GET_DEVICE_CONTEXT 4

Opcode for xcb_selinux_get_device_context.

#define XCB_SELINUX_GET_DEVICE_CREATE_CONTEXT 2

Opcode for xcb_selinux_get_device_create_context.

#define XCB_SELINUX_GET_PROPERTY_CONTEXT 12

Opcode for xcb_selinux_get_property_context.

#define XCB_SELINUX_GET_PROPERTY_CREATE_CONTEXT 9

Opcode for xcb_selinux_get_property_create_context.

#define XCB_SELINUX_GET_PROPERTY_DATA_CONTEXT 13

Opcode for xcb_selinux_get_property_data_context.

#define XCB_SELINUX_GET_PROPERTY_USE_CONTEXT 11

Opcode for xcb_selinux_get_property_use_context.

#define XCB_SELINUX_GET_SELECTION_CONTEXT 19

Opcode for xcb_selinux_get_selection_context.

#define XCB_SELINUX_GET_SELECTION_CREATE_CONTEXT 16

Opcode for xcb_selinux_get_selection_create_context.

#define XCB_SELINUX_GET_SELECTION_DATA_CONTEXT 20

Opcode for xcb_selinux_get_selection_data_context.

#define XCB_SELINUX_GET_SELECTION_USE_CONTEXT 18

Opcode for xcb_selinux_get_selection_use_context.

#define XCB_SELINUX_GET_WINDOW_CONTEXT 7

Opcode for xcb_selinux_get_window_context.

#define XCB_SELINUX_GET_WINDOW_CREATE_CONTEXT 6

Opcode for xcb_selinux_get_window_create_context.

#define XCB_SELINUX_LIST_PROPERTIES 14

Opcode for xcb_selinux_list_properties.

#define XCB_SELINUX_LIST_SELECTIONS 21

Opcode for xcb_selinux_list_selections.

#define XCB_SELINUX_QUERY_VERSION 0

Opcode for xcb_selinux_query_version.

#define XCB_SELINUX_SET_DEVICE_CONTEXT 3

Opcode for xcb_selinux_set_device_context.

#define XCB_SELINUX_SET_DEVICE_CREATE_CONTEXT 1

Opcode for xcb_selinux_set_device_create_context.

#define XCB_SELINUX_SET_PROPERTY_CREATE_CONTEXT 8

Opcode for xcb_selinux_set_property_create_context.

#define XCB_SELINUX_SET_PROPERTY_USE_CONTEXT 10

Opcode for xcb_selinux_set_property_use_context.

#define XCB_SELINUX_SET_SELECTION_CREATE_CONTEXT 15

Opcode for xcb_selinux_set_selection_create_context.

#define XCB_SELINUX_SET_SELECTION_USE_CONTEXT 17

Opcode for xcb_selinux_set_selection_use_context.

#define XCB_SELINUX_SET_WINDOW_CREATE_CONTEXT 5

Opcode for xcb_selinux_set_window_create_context.

## Function Documentation

xcb_selinux_get_client_context_cookie_t xcb_selinux_get_client_context | ( | xcb_connection_t * | c,
|  | uint32_t | resource |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_client_context_reply_t* xcb_selinux_get_client_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_client_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_client_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_client_context_cookie_t xcb_selinux_get_client_context_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | resource |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_device_context_cookie_t xcb_selinux_get_device_context | ( | xcb_connection_t * | c,
|  | uint32_t | device |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_device_context_reply_t* xcb_selinux_get_device_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_device_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_device_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_device_context_cookie_t xcb_selinux_get_device_context_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | device |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_device_create_context_cookie_t xcb_selinux_get_device_create_context | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_device_create_context_reply_t* xcb_selinux_get_device_create_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_device_create_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_device_create_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_device_create_context_cookie_t xcb_selinux_get_device_create_context_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_property_context_cookie_t xcb_selinux_get_property_context | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_atom_t | property |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_property_context_reply_t* xcb_selinux_get_property_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_property_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_property_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_property_context_cookie_t xcb_selinux_get_property_context_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_atom_t | property |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_property_create_context_cookie_t xcb_selinux_get_property_create_context | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_property_create_context_reply_t* xcb_selinux_get_property_create_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_property_create_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_property_create_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_property_create_context_cookie_t xcb_selinux_get_property_create_context_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_property_data_context_cookie_t xcb_selinux_get_property_data_context | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_atom_t | property |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_property_data_context_reply_t* xcb_selinux_get_property_data_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_property_data_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_property_data_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_property_data_context_cookie_t xcb_selinux_get_property_data_context_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_atom_t | property |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_property_use_context_cookie_t xcb_selinux_get_property_use_context | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_property_use_context_reply_t* xcb_selinux_get_property_use_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_property_use_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_property_use_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_property_use_context_cookie_t xcb_selinux_get_property_use_context_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_selection_context_cookie_t xcb_selinux_get_selection_context | ( | xcb_connection_t * | c,
|  | xcb_atom_t | selection |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_selection_context_reply_t* xcb_selinux_get_selection_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_selection_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_selection_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_selection_context_cookie_t xcb_selinux_get_selection_context_unchecked | ( | xcb_connection_t * | c,
|  | xcb_atom_t | selection |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_selection_create_context_cookie_t xcb_selinux_get_selection_create_context | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_selection_create_context_reply_t* xcb_selinux_get_selection_create_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_selection_create_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_selection_create_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_selection_create_context_cookie_t xcb_selinux_get_selection_create_context_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_selection_data_context_cookie_t xcb_selinux_get_selection_data_context | ( | xcb_connection_t * | c,
|  | xcb_atom_t | selection |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_selection_data_context_reply_t* xcb_selinux_get_selection_data_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_selection_data_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_selection_data_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_selection_data_context_cookie_t xcb_selinux_get_selection_data_context_unchecked | ( | xcb_connection_t * | c,
|  | xcb_atom_t | selection |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_selection_use_context_cookie_t xcb_selinux_get_selection_use_context | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_selection_use_context_reply_t* xcb_selinux_get_selection_use_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_selection_use_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_selection_use_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_selection_use_context_cookie_t xcb_selinux_get_selection_use_context_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_window_context_cookie_t xcb_selinux_get_window_context | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_window_context_reply_t* xcb_selinux_get_window_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_window_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_window_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_window_context_cookie_t xcb_selinux_get_window_context_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_get_window_create_context_cookie_t xcb_selinux_get_window_create_context | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_get_window_create_context_reply_t* xcb_selinux_get_window_create_context_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_get_window_create_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_get_window_create_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_get_window_create_context_cookie_t xcb_selinux_get_window_create_context_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_generic_iterator_t xcb_selinux_list_item_end | ( | xcb_selinux_list_item_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_selinux_list_item_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_selinux_list_item_next | ( | xcb_selinux_list_item_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_selinux_list_item_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_selinux_list_item_t)

xcb_selinux_list_properties_cookie_t xcb_selinux_list_properties | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_list_properties_reply_t* xcb_selinux_list_properties_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_list_properties_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_list_properties_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_list_properties_cookie_t xcb_selinux_list_properties_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_list_selections_cookie_t xcb_selinux_list_selections | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_list_selections_reply_t* xcb_selinux_list_selections_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_list_selections_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_list_selections_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_list_selections_cookie_t xcb_selinux_list_selections_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_selinux_query_version_cookie_t xcb_selinux_query_version | ( | xcb_connection_t * | c,
|  | uint8_t | client_major,
|  | uint8_t | client_minor |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_selinux_query_version_reply_t* xcb_selinux_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_selinux_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_selinux_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_selinux_query_version_cookie_t xcb_selinux_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | client_major,
|  | uint8_t | client_minor |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_selinux_set_device_context | ( | xcb_connection_t * | c,
|  | uint32_t | device,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_selinux_set_device_context_checked | ( | xcb_connection_t * | c,
|  | uint32_t | device,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_selinux_set_device_create_context | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_selinux_set_device_create_context_checked | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_selinux_set_property_create_context | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_selinux_set_property_create_context_checked | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_selinux_set_property_use_context | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_selinux_set_property_use_context_checked | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_selinux_set_selection_create_context | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_selinux_set_selection_create_context_checked | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_selinux_set_selection_use_context | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_selinux_set_selection_use_context_checked | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_selinux_set_window_create_context | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_selinux_set_window_create_context_checked | ( | xcb_connection_t * | c,
|  | uint32_t | context_len,
|  | const char * | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().